org.opencv.face

## Class MACE

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.face.MACE

-     public class MACE
      extends Algorithm

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MACE(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MACE` | `__fromPtr__(long addr)`
    `static MACE` | `create()`
    `static MACE` | `create(int IMGSIZE)`
    `protected void` | `finalize()`
    `static MACE` | `load(java.lang.String filename)`
    `static MACE` | `load(java.lang.String filename, java.lang.String objname)`
    `void` | `salt(java.lang.String passphrase)`
    `boolean` | `same(Mat query)`
    `void` | `train(java.util.List<Mat> images)`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MACE

          protected MACE(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static MACE __fromPtr__(long addr)

    - #### create

          public static MACE create(int IMGSIZE)

    - #### create

          public static MACE create()

    - #### load

          public static MACE load(java.lang.String filename,
                                  java.lang.String objname)

    - #### load

          public static MACE load(java.lang.String filename)

    - #### same

          public boolean same(Mat query)

    - #### salt

          public void salt(java.lang.String passphrase)

    - #### train

          public void train(java.util.List<Mat> images)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `java.lang.Throwable`

Generated on Wed Aug 29 2018 10:29:57 UTC / OpenCV 3.4.3